com.sun.jna

## Class FunctionParameterContext

- java.lang.Object
- - com.sun.jna.ToNativeContext
  - - com.sun.jna.FunctionParameterContext

- Direct Known Subclasses:
    MethodParameterContext

      public class FunctionParameterContext
      extends ToNativeContext

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FunctionParameterContext(Function f, java.lang.Object[] args, int index)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Function` | `getFunction()` Get the function that was invoked.
    `int` | `getParameterIndex()`
    `java.lang.Object[]` | `getParameters()` Get the arguments used in this function call.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FunctionParameterContext

          FunctionParameterContext(Function f,
                                  java.lang.Object[] args,
                                  int index)

  - ### Method Detail

    - #### getFunction

          public Function getFunction()

      Get the function that was invoked.

    - #### getParameters

          public java.lang.Object[] getParameters()

      Get the arguments used in this function call.

    - #### getParameterIndex

          public int getParameterIndex()

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.